Debian Bug report logs - #604018
pure-ftpd-postgresql: fails to authenticate, errors in configuration file (SQL)

version graph

Package: pure-ftpd-postgresql; Maintainer for pure-ftpd-postgresql is Stefan Hornburg (Racke) <racke@linuxia.de>; Source for pure-ftpd-postgresql is src:pure-ftpd.

Reported by: usaegetta37-web@yahoo.com

Date: Fri, 19 Nov 2010 12:45:05 UTC

Severity: grave

Tags: patch

Found in version pure-ftpd/1.0.21-11.4

Fixed in version pure-ftpd/1.0.28-3

Done: Stefan Hornburg (Racke) <racke@linuxia.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stefan Hornburg (Racke) <racke@linuxia.de>:
Bug#604018; Package pure-ftpd-postgresql. (Fri, 19 Nov 2010 12:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to usaegetta37-web@yahoo.com:
New Bug report received and forwarded. Copy sent to Stefan Hornburg (Racke) <racke@linuxia.de>. (Fri, 19 Nov 2010 12:45:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: fab <usaegetta37-web@yahoo.com>
To: submit@bugs.debian.org
Subject: pure-ftpd-postgresql: fails to authenticate, errors in configuration file (SQL)
Date: Fri, 19 Nov 2010 04:42:12 -0800 (PST)
Package: pure-ftpd-postgresql
Version: 1.0.21-11.4
Justification: renders package unusable
Severity: grave
Tags: patch

Pure-ftpd fails to authenticate using a table in PostGreSQL DBMS.
I found the bug in this configuration file: /etc/pure-ftpd/db/postgresql.conf
There are some SQL queries, but it missing double quotes.
To correct them you have to copy and paste the queries from this web pages:
http://download.pureftpd.org/pub/pure-ftpd/doc/README.PGSQL

I think this bug can affect any Architecture and also the Package in Debian Testing.

Thanks

Fabio

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash





Information forwarded to debian-bugs-dist@lists.debian.org, Stefan Hornburg (Racke) <racke@linuxia.de>:
Bug#604018; Package pure-ftpd-postgresql. (Sat, 27 Nov 2010 12:15:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Stefan Hornburg (Racke) <racke@linuxia.de>. (Sat, 27 Nov 2010 12:15:20 GMT) Full text and rfc822 format available.

Message #10 received at 604018@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: usaegetta37-web@yahoo.com, 604018@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#604018: pure-ftpd-postgresql: fails to authenticate, errors in configuration file (SQL)
Date: Sat, 27 Nov 2010 13:14:35 +0100
[Message part 1 (text/plain, inline)]
tag 604018 + patch
thanks

On Fri, 19 Nov 2010 04:42:12 -0800, fab wrote:

> Pure-ftpd fails to authenticate using a table in PostGreSQL DBMS.
> I found the bug in this configuration file: /etc/pure-ftpd/db/postgresql.conf
> There are some SQL queries, but it missing double quotes.
> To correct them you have to copy and paste the queries from this web pages:
> http://download.pureftpd.org/pub/pure-ftpd/doc/README.PGSQL

Looking at the source package, it's indeed interesting to so the
differences between
    README.PGSQL
and
    pureftpd-pgsql.conf

I'm attaching a debdiff, but I won't upload it now; maybe it helps
the maintainer, maybe someone can test and confirm the bug and the
fix ...

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #132:  SCSI Chain overterminated 
[604018.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Stefan Hornburg (Racke) <racke@linuxia.de>:
You have taken responsibility. (Wed, 15 Dec 2010 11:18:03 GMT) Full text and rfc822 format available.

Notification sent to usaegetta37-web@yahoo.com:
Bug acknowledged by developer. (Wed, 15 Dec 2010 11:18:04 GMT) Full text and rfc822 format available.

Message #15 received at 604018-close@bugs.debian.org (full text, mbox):

From: Stefan Hornburg (Racke) <racke@linuxia.de>
To: 604018-close@bugs.debian.org
Subject: Bug#604018: fixed in pure-ftpd 1.0.28-3
Date: Wed, 15 Dec 2010 11:17:22 +0000
Source: pure-ftpd
Source-Version: 1.0.28-3

We believe that the bug you reported is fixed in the latest version of
pure-ftpd, which is due to be installed in the Debian FTP archive:

pure-ftpd-common_1.0.28-3_all.deb
  to main/p/pure-ftpd/pure-ftpd-common_1.0.28-3_all.deb
pure-ftpd-ldap_1.0.28-3_amd64.deb
  to main/p/pure-ftpd/pure-ftpd-ldap_1.0.28-3_amd64.deb
pure-ftpd-mysql_1.0.28-3_amd64.deb
  to main/p/pure-ftpd/pure-ftpd-mysql_1.0.28-3_amd64.deb
pure-ftpd-postgresql_1.0.28-3_amd64.deb
  to main/p/pure-ftpd/pure-ftpd-postgresql_1.0.28-3_amd64.deb
pure-ftpd_1.0.28-3.diff.gz
  to main/p/pure-ftpd/pure-ftpd_1.0.28-3.diff.gz
pure-ftpd_1.0.28-3.dsc
  to main/p/pure-ftpd/pure-ftpd_1.0.28-3.dsc
pure-ftpd_1.0.28-3_amd64.deb
  to main/p/pure-ftpd/pure-ftpd_1.0.28-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604018@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefan Hornburg (Racke) <racke@linuxia.de> (supplier of updated pure-ftpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 15 Dec 2010 09:15:30 +0100
Source: pure-ftpd
Binary: pure-ftpd-common pure-ftpd pure-ftpd-mysql pure-ftpd-postgresql pure-ftpd-ldap
Architecture: source all amd64
Version: 1.0.28-3
Distribution: unstable
Urgency: medium
Maintainer: Stefan Hornburg (Racke) <racke@linuxia.de>
Changed-By: Stefan Hornburg (Racke) <racke@linuxia.de>
Description: 
 pure-ftpd  - Secure and efficient FTP server
 pure-ftpd-common - Pure-FTPd FTP server (Common Files)
 pure-ftpd-ldap - Secure and efficient FTP server with LDAP user authentication
 pure-ftpd-mysql - Secure and efficient FTP server with MySQL user authentication
 pure-ftpd-postgresql - Secure and efficient FTP server with PostgreSQL user authenticati
Closes: 604018
Changes: 
 pure-ftpd (1.0.28-3) unstable; urgency=medium
 .
   * Fix "fails to authenticate, errors in configuration file (SQL)": add
     quotation marks to pureftpd-pgsql.conf, as explained in README.PGSQL
     (Closes: #604018, thanks to Gregor Herrmann <gregoa@debian.org> for
     the patch)
Checksums-Sha1: 
 be3f18cc33a44d2e458280dc2ab9ae494907f4f1 1304 pure-ftpd_1.0.28-3.dsc
 29376978076b03f0a65211144832aa08e505ac35 46645 pure-ftpd_1.0.28-3.diff.gz
 12ffbcfb5ba6ee837917f750e035a080eb1ae952 181262 pure-ftpd-common_1.0.28-3_all.deb
 0a7a6934cb8f7a9376ef6d48aa29ff341c825654 178382 pure-ftpd_1.0.28-3_amd64.deb
 f7cb4cf1d94d427e3f533b073e4d9ca78e44dc70 207442 pure-ftpd-mysql_1.0.28-3_amd64.deb
 3ef4200f197c63d68beeff7799826d572006f18b 194880 pure-ftpd-postgresql_1.0.28-3_amd64.deb
 34f7b030d58396a3865074cd55bf9f2f91993a15 194398 pure-ftpd-ldap_1.0.28-3_amd64.deb
Checksums-Sha256: 
 19ec0a6a37ea0cb33502bcbfc3b5cf90a71dcd8ded77d30f4b306a0f6787256c 1304 pure-ftpd_1.0.28-3.dsc
 3e57b1e0a28dc85b6ad2c062d6dd4f0ad43c74568baf13202ae7ade1de844e09 46645 pure-ftpd_1.0.28-3.diff.gz
 525b062dde4ffdbc8f2af1b4924e090311f00eafe32fe06aa9211fc07b3a8627 181262 pure-ftpd-common_1.0.28-3_all.deb
 1a5701b647820bfe1ce257af26d6c3f7ea04c7be729962af9d29cc1965b160f4 178382 pure-ftpd_1.0.28-3_amd64.deb
 56468fb686593e4b066c01f3793c76504071b84f528b2f0a0794a317c2dd2ade 207442 pure-ftpd-mysql_1.0.28-3_amd64.deb
 2aa0352c7cc936cf666611f027af79fde642019f5d25552299b8017cd4a16171 194880 pure-ftpd-postgresql_1.0.28-3_amd64.deb
 7c0c1cde233a906791359c6bd1fab32bf16386e344fd9641e96ecd771835effb 194398 pure-ftpd-ldap_1.0.28-3_amd64.deb
Files: 
 fe5968285abe3c4612d4e91251e25f4b 1304 net optional pure-ftpd_1.0.28-3.dsc
 64c01558d0798c66a2defb5d18323fb2 46645 net optional pure-ftpd_1.0.28-3.diff.gz
 a900e13beafbfb3b64866d1e9ae71fab 181262 net optional pure-ftpd-common_1.0.28-3_all.deb
 e92d5696bda4130e1b26b0794160b555 178382 net optional pure-ftpd_1.0.28-3_amd64.deb
 ba85c1a2799947edd128ff262057857d 207442 net optional pure-ftpd-mysql_1.0.28-3_amd64.deb
 d3c8c64b7c90e217d049ed309e88fc37 194880 net optional pure-ftpd-postgresql_1.0.28-3_amd64.deb
 77d562e5a574cc1ba31dfde891a62814 194398 net optional pure-ftpd-ldap_1.0.28-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk0IoU8ACgkQjgVfE5tya3HnNACg4P9t7n8YUF2gVOsg6tYu900F
vbwAoNF+6F816Chc6moQaNE0FvDPeeld
=teOM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:09:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:52:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.